Simple Machines Community Forum

SMF Support => SMF 1.1.x Support => Topic started by: PJP on May 17, 2006, 06:05:20 PM

Title: Fatal error: Load.php(1040)
Post by: PJP on May 17, 2006, 06:05:20 PM
Hello first of all and thank you for the forum software, I have a problem. I installed the forum and when I click on a topic, I receive this error, any ideas?

Thank you in advance!

Fatal error: Call to undefined function: create_button() in /home/dothack/public_html/bb/Sources/Load.php(1040) : eval()'d code on line 238
Title: Re: Fatal error: Load.php(1040)
Post by: kegobeer on May 17, 2006, 07:35:32 PM
Make sure you uploaded all of the files.  If you installed any mods, make sure you installed them according to the directions.
Title: Re: Fatal error: Load.php(1040)
Post by: PJP on May 18, 2006, 01:05:58 AM
I have installed anything but themes, which is uploading. I don't see what else it can be, maybe an error with the theme.
Title: Re: Fatal error: Load.php(1040)
Post by: gamesmad on May 18, 2006, 01:56:47 AM
Does it work with the default theme??  If not, reupload sources/Load.php

Will
Title: Re: Fatal error: Load.php(1040)
Post by: PJP on May 18, 2006, 02:18:30 AM
yes, it works fine with the default theme, the theme I'm using is called bluBlur, which can be found in the download section on this site.
Title: Re: Fatal error: Load.php(1040)
Post by: kegobeer on May 18, 2006, 09:22:06 AM
You haven't mentioned your SMF version.  You must use a theme for your version of SMF.  RC2 requires RC2 compatible themes, 1.0.7 requires themes compatible with 1.0.7, etc.
Title: Re: Fatal error: Load.php(1040)
Post by: PJP on May 18, 2006, 12:22:35 PM
I have the latest version:

SMF File   Your Version   Current Version
SMF Package   SMF 1.0.7   SMF 1.0.7
Title: Re: Fatal error: Load.php(1040)
Post by: kegobeer on May 18, 2006, 01:27:31 PM
1.0.7 requires themes compatible with 1.0.7, etc.

If your custom theme isn't 1.0.7 compatible it will causes all sorts of errors.
Title: Re: Fatal error: Load.php(1040)
Post by: PJP on May 18, 2006, 03:31:17 PM
It was because I didn't have 1.1 RC2, thank you all for your help.

PROBLEM SOLVED!